Download it now!
Bug 133347 - save as ODF1.2extended produces invalid ODF for pivot table based on named range
Summary: save as ODF1.2extended produces invalid ODF for pivot table based on named range
Status: UNCONFIRMED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ODF-export-invalid
  Show dependency treegraph
 
Reported: 2020-05-24 13:25 UTC by Regina Henschel
Modified: 2020-07-02 09:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
File to reproduce the wrong attribute (10.04 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-05-24 13:25 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-05-24 13:25:48 UTC
Created attachment 161233 [details]
File to reproduce the wrong attribute

Open attached document. It contains a named range "MySource"
Menu Data > Pivot Table > Insert or Edit... opens dialog 'Select Source'.
Use option 'Named Range' and select "MySource". OK.
In the then opened dialog 'Pivot Table Layout' drag 'Person' to 'Row Fields' and 'Value' to 'Data Fields'. OK.
Save with new name in "ODF 1.2 extended".

Test saved file in validator https://odfvalidator.org/ using ODF Version "OASIS ODF 1.2 (extended conforming)".

LibreOffice should use own namespace instead of table:name or do not write that attribute at all.

This attribute will be available in ODF 1.3 which is supported by LO7. So you might set the bug to 'wontfix'. But I have written the report nevertheless, because some companies provide long time support for older versions and might want to fix it.

Tested with Version: 5.4.7.2 (x64)
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 8; OS: Windows 6.19; UI render: default; 
Locale: de-DE (en_US); Calc: CL

and with Version: 7.0.0.0.alpha1+ (x64)
Build ID: 0f855cc3f01fc77937e82738192fae4ee8325227
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Vulkan; VCL: win; 
Locale: de-DE (en_US); UI: en-US
Calc: CL
Comment 1 Julien Nabet 2020-05-24 19:34:52 UTC
Just to be sure, isn't it "fixed", at least in master branch, with https://cgit.freedesktop.org/libreoffice/core/commit/?id=818af4717bd7d4fbb6f622128c99259efb0714c9 (revert of tdf#37268 Data Pilot and sheet local defined named range insert menu entry inactive)?

(of course, if it's true, it won't fix the existent files, only avoid to generate new ones)
Comment 2 Julien Nabet 2020-05-25 18:29:56 UTC
Eike: Thought you might be interested in this one after the revert for tdf#37268.
Any opinion here?
Comment 3 Xisco Faulí 2020-07-02 09:27:44 UTC
(In reply to Julien Nabet from comment #1)
> Just to be sure, isn't it "fixed", at least in master branch, with
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=818af4717bd7d4fbb6f622128c99259efb0714c9 (revert of tdf#37268 Data Pilot
> and sheet local defined named range insert menu entry inactive)?
> 
> (of course, if it's true, it won't fix the existent files, only avoid to
> generate new ones)

@Regina, any update on this ?
Comment 4 Regina Henschel 2020-07-02 09:52:55 UTC
The problem exists the same way with a named range with global scope. So disabling local scope named ranges does not help.
It is only a problem in "ODF 1.2 extended". It is OK for "ODF 1.3 extended".